%define name	leif
%define version	0.5
%define release 1mdk

Name: 	 	%{name}
Summary: 	Accesses a Sony/Ericsson T68 mobile phone from KDE
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
URL:		http://www.tobias-bayer.de/en/leif.html
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gettext zlib-devel libpng-devel libjpeg-devel
BuildRequires:	libqt3-devel kdelibs-devel libarts-devel XFree86-devel
BuildRequires:	libezV24-devel libopenobex-devel
Requires:	libbluez1

%description
Leif is a tool for managing your Sony/Ericsson T68/T68i mobile phone. It
supports phonebook editing, file uploading and sms management.

%prep
%setup -q
perl -p -i -e 's/openobex\/obex/obex/g' leif/*.h
perl -p -i -e 's/openobex\/obex/obex/g' leif/*.cpp

%build
%configure --program-prefix=""
perl -p -i -e 's/--tag=CXX//g' leif/Makefile
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="Leif" longtitle="T68 mobile phone controller" section="Applications/Communications"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING AUTHORS ChangeLog TODO
%{_bindir}/%name
%{_datadir}/applnk/Utilities/%name.desktop
%{_datadir}/doc/HTML/*/%name
%{_datadir}/icons/hicolor/*/apps/%name.png
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Mon May 12 2003 Austin Acton <aacton@yorku.ca> 0.5-1mdk
- initial package

* Mon Apr 14 2003 Austin Acton <aacton@yorku.ca> 0.3.1-1mdk
- initial package
